---
title: "查询订单欺诈风险"
description: "查询指定订单的欺诈风险信息。"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/order-management/get-fraud-risks-for-an-order'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/order-management/get-fraud-risks-for-an-order.md'
---
# 查询订单欺诈风险

查询指定订单的欺诈风险信息。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /orders/v2/:order_id/risks.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_orders`

## Request

### Path Parameters

* `order_id`

  string (required)

  订单号。

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `risks`

  array<object>

  风险欺诈列表。

  * `id`

    string

    欺诈风险 ID。

  * `cause_cancel`

    boolean

    标识是否要取消订单：
    - `true`: 取消
    - `false`: 不取消

  * `display`

    boolean

    是否在订单详情页展示该风险标识。有效枚举值包含：
    - `true`: 展示
    - `false`: 不展示

  * `order_id`

    string

    订单号。

  * `recommendation`

    string

    欺诈风险等级。有效枚举值包含：
    - `cancel`: 高风险
    - `investigate`: 中风险
    - `accept`: 低风险

  * `risk_detail_msg_list`

    array<object>

    欺诈风险详细信息列表。

    * `risk_detail_level`

      string

      欺诈风险等级。有效枚举值包含：
      - `cancel`: 高风险
      - `investigate`: 中风险
      - `accept`: 低风险
      - `unknown`: 无法识别

    * `message`

      string

      欺诈风险详细信息。

  * `score`

    string

    欺诈风险分数，范围为 0 - 1，1 为风险最高分。

  * `source`

    string

    欺诈风险来源标识。有效枚举值包含：
    - `Internal`: 内部系统的欺诈风险判定结果
    - `External`: 外部应用程序的欺风险判定结果

  * `checkout_id`

    string

    订单关联的弃单 ID。


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "查询订单欺诈风险"
  ],
  "description": "查询指定订单的欺诈风险信息。",
  "externalDocs": {
    "description": "接口使用的权限点: `read_orders` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "sEnRib5i",
  "parameters": [
    {
      "name": "order_id",
      "in": "path",
      "description": "订单号。",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "order_id",
        "description": "订单号。",
        "type": "string"
      },
      "examples": {
        "查询订单欺诈风险": {
          "value": "******************12867"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "risks": {
                "name": "risks",
                "description": "风险欺诈列表。",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "name": "id",
                      "description": "欺诈风险 ID。",
                      "type": "string"
                    },
                    "cause_cancel": {
                      "name": "cause_cancel",
                      "description": "标识是否要取消订单：\n- `true`: 取消\n- `false`: 不取消",
                      "type": "boolean"
                    },
                    "display": {
                      "name": "display",
                      "description": "是否在订单详情页展示该风险标识。有效枚举值包含：\n- `true`: 展示\n- `false`: 不展示",
                      "type": "boolean"
                    },
                    "order_id": {
                      "name": "order_id",
                      "description": "订单号。",
                      "type": "string"
                    },
                    "recommendation": {
                      "name": "recommendation",
                      "description": "欺诈风险等级。有效枚举值包含：\n- `cancel`: 高风险\n- `investigate`: 中风险\n- `accept`: 低风险",
                      "type": "string"
                    },
                    "risk_detail_msg_list": {
                      "name": "risk_detail_msg_list",
                      "description": "欺诈风险详细信息列表。",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "risk_detail_level": {
                            "name": "risk_detail_level",
                            "description": "欺诈风险等级。有效枚举值包含：\n- `cancel`: 高风险\n- `investigate`: 中风险\n- `accept`: 低风险\n- `unknown`: 无法识别",
                            "type": "string"
                          },
                          "message": {
                            "name": "message",
                            "description": "欺诈风险详细信息。",
                            "type": "string"
                          }
                        },
                        "example": {
                          "message": null,
                          "risk_detail_level": null
                        }
                      },
                      "example": [
                        {
                          "message": null,
                          "risk_detail_level": null
                        }
                      ]
                    },
                    "score": {
                      "name": "score",
                      "description": "欺诈风险分数，范围为 0 - 1，1 为风险最高分。",
                      "type": "string"
                    },
                    "source": {
                      "name": "source",
                      "description": "欺诈风险来源标识。有效枚举值包含：\n- `Internal`: 内部系统的欺诈风险判定结果\n- `External`: 外部应用程序的欺风险判定结果",
                      "type": "string"
                    },
                    "checkout_id": {
                      "name": "checkout_id",
                      "description": "订单关联的弃单 ID。",
                      "type": "string"
                    }
                  },
                  "example": {
                    "cause_cancel": null,
                    "checkout_id": null,
                    "display": null,
                    "id": null,
                    "recommendation": null,
                    "risk_detail_msg_list": [
                      {
                        "message": null,
                        "risk_detail_level": null
                      }
                    ],
                    "source": null,
                    "order_id": null,
                    "score": null
                  }
                },
                "example": [
                  {
                    "id": null,
                    "order_id": null,
                    "recommendation": null,
                    "score": null,
                    "cause_cancel": null,
                    "checkout_id": null,
                    "display": null,
                    "risk_detail_msg_list": [
                      {
                        "risk_detail_level": null,
                        "message": null
                      }
                    ],
                    "source": null
                  }
                ]
              }
            },
            "example": {
              "risks": [
                {
                  "cause_cancel": null,
                  "display": null,
                  "score": null,
                  "source": null,
                  "checkout_id": null,
                  "id": null,
                  "order_id": null,
                  "recommendation": null,
                  "risk_detail_msg_list": [
                    {
                      "risk_detail_level": null,
                      "message": null
                    }
                  ]
                }
              ]
            }
          },
          "examples": {
            "查询订单欺诈风险": {
              "description": "查询指定订单的欺诈风险信息",
              "value": {
                "risks": [
                  {
                    "checkout_id": "***************25135736",
                    "display": true,
                    "recommendation": "investigate",
                    "score": "0.75",
                    "id": "***************8756748604",
                    "order_id": "***************483267014",
                    "risk_detail_msg_list": [
                      {
                        "message": "Unusual payment pattern detected",
                        "risk_detail_level": "accept"
                      }
                    ],
                    "source": "Internal",
                    "cause_cancel": false
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/orders/v2/:order_id/risks.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询订单欺诈风险",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_orders"
  ]
}
```